Index: trunk/contactcenter/js/cc.js
===================================================================
--- trunk/contactcenter/js/cc.js	(revision 1517)
+++ trunk/contactcenter/js/cc.js	(revision 1599)
@@ -61,5 +61,5 @@
 var CC_full_add_const = false;
 var CC_full_add_photo = false;
-	
+
 var CC_last_height = window.innerHeight;
 var CC_last_width = window.innerWidth;
@@ -94,5 +94,5 @@
 		 photo_input = photo_frame.contentDocument.createElement('input');
 	}
-	
+
 	photo_frame.id = 'cc_photo_frame';
 	photo_frame.style.position = 'absolute';
@@ -100,12 +100,12 @@
 	photo_frame.style.top = '600px';
 	photo_frame.style.left = '0px';
-	
+
 	photo_form.id = 'cc_photo_form';
 	photo_form.method = 'POST';
 	photo_form.enctype = 'multipart/form-data';
-	
+
 	photo_input.id = 'cc_photo_input';
 	photo_input.type = 'file';
-	
+
 	if (is_ie)
 	{
@@ -117,5 +117,5 @@
 	}
 	photo_form.appendChild(photo_input);
-	
+
 }
 
@@ -125,5 +125,5 @@
 	var obj = Element(id);
 	var max = obj.options.length;
-	
+
 	if (option == undefined)
 	{
@@ -165,5 +165,5 @@
 function openFullAdd(){
 	// Build the FullAdd Window.
-	if(!fullAddWin && !is_ie) 
+	if(!fullAddWin && !is_ie)
 		__f();
 
@@ -172,5 +172,5 @@
 	fullAddWin.open();
 	tabs._showTab('cc_contact_tab_0');
-	Element("cc_conn_type_1").checked = false;	
+	Element("cc_conn_type_1").checked = false;
 	Element("cc_conn_type_2").checked = false;
 	Element("cc_conn_type_sel").disabled = true;
@@ -243,5 +243,6 @@
 /************ Edit Group *************/
 function editGroup(id){
-	populateEditGroup(id);	
+	populateEditGroup(id);
+	ccAddGroup.window.open();
 }
 
@@ -253,5 +254,5 @@
 	Updates all the constant fields in the
 	full add window, like Prefixes, Suffixes,
-	Countries, Types and Shared catalogs
+	Countries and Types
 */
 
@@ -268,5 +269,5 @@
                         return;
                 }
-		
+
 		if (typeof(data[3]) == 'object')
                 {
@@ -298,5 +299,5 @@
 {
 	CC_full_add_const = false;
-	
+
 	setTimeout('populateFullAddConstAsync()', 10);
 }
@@ -306,9 +307,9 @@
 	var handler = function(responseText)
 	{
-		//Element('cc_debug').innerHTML = responseText;		
+		//Element('cc_debug').innerHTML = responseText;
 		var data = unserialize(responseText);
 		var i = 1;
 		var j;
-		
+
 		if (typeof(data) != 'object')
 		{
@@ -316,5 +317,5 @@
 			return;
 		}
-		
+
 		/* Populate Prefixes */
 		for (j in data[0])
@@ -323,5 +324,5 @@
 			i++;
 		}
-		
+
 		/* Populate Suffixes */
 		i = 1;
@@ -345,13 +346,13 @@
 		{
 			Element('cc_addr_countries').options[i] = new Option(data[3][j], j);
-			
+
 			if (j == 'BR' || j == 'br')
 			{
 				CC_br_index = i;
 			}
-			
+
 			i++;
 		}
-		
+
 		/* Populate Connection Types */
 		i = 1;
@@ -361,5 +362,5 @@
 			i++;
 		}
-		
+
 		/* Populate Relations Types */
 		i = 0;
@@ -369,5 +370,5 @@
 			i++;
 		}
-		
+
 		CC_full_add_const = true;
 
@@ -397,5 +398,4 @@
 		//populateRelations(data['relations']);
 	};
-
 	Connector.newRequest('populateFullEdit', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_full_data&id=' + id + "&catalog="+catalog, 'GET', handler);
 }
@@ -416,7 +416,7 @@
 		select_contact_list += data['contact_list'] + "</select>";
 		options_contact_list.innerHTML = select_contact_list;
-
-		if(data['id_group']) {		
-			Element('title').value =  data['title'];
+		
+		if(data['id_group']) {
+			Element('title').value =  data['title'];	
 			if(data['contact_in_list']) {					
 				for(i = 0; i < data['contact_in_list'].length; i++) {				
@@ -425,6 +425,8 @@
 					option.text = data['contact_in_list'][i]['names_ordered']+' ('+data['contact_in_list'][i]['connection_value']+')';				
 					Element('contact_in_list').options[Element('contact_in_list').options.length] = option;
-				}		
-			}
+				}
+			}		
+			
+			Element('title').value =  data['title'];
 		}
 				
@@ -439,5 +441,5 @@
 	id = typeof(id) == 'undefined' ? id = 0 :  id;
 	
-	ccAddGroup.clear(true);				
+	ccAddGroup.clear(true);			
 	if(!shared)
 		Connector.newRequest('populateEditGroup', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_group&id='+id, 'GET', handler);
@@ -445,4 +447,5 @@
 		Connector.newRequest('populateEditGroup', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_group&id='+id+'&shared_from='+shared, 'GET', handler);
 }
+
 
 
@@ -478,5 +481,5 @@
 		return false;
 	}
-	
+
 	/* First thing: Send Photo */
 	if (Element('cc_pd_select_photo').value != '' && !is_ie)
@@ -496,5 +499,5 @@
 			frame = old_frame;
 		}
-		
+
 		frame.id = 'cc_photo_frame';
 		frame.style.visibility = 'hidden';
@@ -505,5 +508,5 @@
 
 		form = frame.contentDocument.createElement('form');
-		
+
 		var id_contact = Element('cc_full_add_contact_id').value;
 		form.id = 'cc_form_photo';
@@ -511,8 +514,8 @@
 		form.enctype = 'multipart/form-data';
 		form.action = 'http://'+ document.domain + Element('cc_root_dir').value+'../index.php?menuaction=contactcenter.ui_data.data_manager&method=post_photo&id='+(id_contact != '' && id_contact != 'null' ? id_contact : '');
-		
+
 		var input_clone = Element('cc_pd_select_photo').cloneNode(false);
 		form.appendChild(input_clone);
-		
+
 		frame.contentDocument.body.appendChild(form);
 		form.submit();
@@ -535,5 +538,5 @@
 	}
 	if (Element('cc_contact_sharing').style.display == 'none')
-		setTimeout('postFullAddInfo()', 100);
+    	setTimeout('postFullAddInfo()', 100);
 	else
 		setTimeout('postFullAddInfoShared()', 100);
@@ -561,4 +564,5 @@
 		updateCards();
 	};
+
 	Connector.newRequest('postFullAddInfo', CC_url+'post_full_add', 'POST', handler, getFullAddData());
 }
@@ -594,5 +598,5 @@
 
 	data['commercialAnd'] = replacer;
-	
+
 	if (Element('cc_full_add_contact_id').value != '' && Element('cc_full_add_contact_id').value != 'null')
 	{
@@ -600,16 +604,16 @@
 		data.length++;
 	}
-	
+
 	/* Owner do contato (Para o caso de adicao de contato compartilhado) */
 	if (Element('cc_contact_sharing').style.display == 'block')
 	{
 		var index = Element('cc_contact_shared_types').selectedIndex;
-		data['owner'] = replaceComAnd(owners[index], replacer); 
+		data['owner'] = replaceComAnd(owners[index], replacer);
 		data.length++;
 	}
-	
+
 	/* Status: Full Added */
 	data['id_status'] = CC_STATUS_FULL_ADD;
-	
+
 	/* Personal Data */
 	data['alias']         = replaceComAnd(Element('cc_pd_alias').value, replacer);
@@ -631,11 +635,8 @@
 		data['corporate_name'] = replaceComAnd(Element('cc_name_corporate').value, replacer);
 		data['job_title'] = replaceComAnd(Element('cc_job_title').value, replacer);
-		data['department'] = replaceComAnd(Element('cc_department').value, replacer);
+		data['department'] = replaceComAnd(Element('cc_dept').value, replacer);
 		data['web_page'] = replaceComAnd(Element('cc_web_page').value, replacer);
 		data.length += 18;
 	}
-
-		
-	
 
 	/* Addresses */
@@ -660,5 +661,5 @@
 				data['connections'] = new Array();
 			}
-			
+
 			for (var i in CC_contact_full_info['connections'][type])
 			{
@@ -672,5 +673,5 @@
 					data['connections']['connection'+connNumber] = new Array(5);
 				}
-				
+
 				data['connections']['connection'+connNumber]['id_connection'] = CC_contact_full_info['connections'][type][i]['id'];
 				data['connections']['connection'+connNumber]['id_typeof_connection'] = type;
@@ -681,10 +682,10 @@
 						data['connections']['connection'+connNumber]['connection_is_default']  = 'TRUE';
 					}
-					else 
+					else
 						data['connections']['connection'+connNumber]['connection_is_default']  = 'FALSE';
 				}
 
 //				data['connections']['connection'+connNumber].length = 5;
-				
+
 				empty = false;
 				connNumber++;
@@ -693,5 +694,5 @@
 
 		}
-		
+
 		if (!empty)
 		{
@@ -700,9 +701,9 @@
 		}
 	}
-	
+
 	if (CC_contact_full_info['removed_conns'])
 	{
 		empty = false;
-		
+
 		if (typeof(data['connections']) != 'object')
 		{
@@ -727,5 +728,5 @@
 	{
 		if (Element('cc_contact_shared_types').disabled == true)
-		{	
+		{
 			showMessage('Nenhum catálogo compartilhado existente');
 			return false;
@@ -737,6 +738,7 @@
 		}
 	}
-	
+
 	/* Check Personal Data */
+
 	if (Element('cc_pd_given_names').value == '')
 	{
@@ -756,5 +758,5 @@
 			for (var i in CC_contact_full_info['connections'][type]){
 				if((CC_contact_full_info['connections'][type][i]['value'].length < 4) ||
-					(!comp.test(CC_contact_full_info['connections'][type][i]['value']))){ 
+					(!comp.test(CC_contact_full_info['connections'][type][i]['value']))){
 					showMessage('Endereço para conexão de ' + CC_contact_full_info['connections'][type][i]['name'] + ', não é válido');
 					return false;
@@ -767,5 +769,5 @@
 			}
 		}
-		
+
 	}
 
@@ -776,5 +778,5 @@
 
 /********* Personal Data Functions *********/
-/* 
+/*
  * data[0] => cc_pd_select_photo
  * data[1] => cc_pd_alias
@@ -788,8 +790,4 @@
  * data[9] => cc_pd_gpg_finger_print
  * data[10] => cc_pd_notes
- * data[11] => cc_name_corporate
- * data[12] => cc_job_title
- * data[13] => cc_department
- * data[14] => cc_we_page
  */
 
@@ -828,8 +826,8 @@
 {
 	Element('cc_addr_types').selectedIndex = 0;
-	
+
 	Element('cc_addr_countries').selectedIndex = 0;
 	Element('cc_addr_countries').disabled = true;
-	
+
 	Element('cc_addr_states').selectedIndex = 0;
 	Element('cc_addr_states').disabled = true;
@@ -882,7 +880,7 @@
 	var type = Element('cc_addr_types');
 	var oldSelected = type.value;
-	
+
 	saveAddressFields();
-	
+
 	if (oldSelected == '_NONE_')
 	{
@@ -890,13 +888,13 @@
 		return true;
 	}
-	
+
 	CC_addr_last_selected = type.selectedIndex;
-	
+
 	Element('cc_addr_countries').disabled = false;
-	
+
 	var data = CC_contact_full_info['addresses'];
 	var addrIndex  = 'address'+Element('cc_addr_types').value;
-	
-	if (typeof(data) != 'object' || typeof(data[addrIndex]) != 'object') 
+
+	if (typeof(data) != 'object' || typeof(data[addrIndex]) != 'object')
 	{
 		resetAddressFields();
@@ -907,9 +905,9 @@
 		return true;
 	}
-	
+
 	var addrTypeID = Element('cc_addr_types').value;
-	
+
 	data = CC_contact_full_info['addresses'][addrIndex];
-	
+
 	Element('cc_addr_id').value          			 = data['id_address']		? data['id_address']			: '';
 	Element('cc_addr_1').value            			= data['address1']			? data['address1']				: '';
@@ -933,5 +931,5 @@
 		states.selectedIndex = 0;
 		clearSelectBox(states, 4);
-		updateAddrCities();	
+		updateAddrCities();
 		return;
 	}
@@ -948,11 +946,11 @@
 	{
 		var data = unserialize(responseText);
-		
+
 		clearSelectBox(states, 1);
-			
+
 		if (typeof(data) != 'object')
 		{
 			showMessage(Element('cc_msg_err_contacting_server').value);
-	
+
 			return;
 		}
@@ -961,5 +959,5 @@
 		{
 			states.disabled = true;
-			cities.disabled = true;			
+			cities.disabled = true;
 			states.selectedIndex = 0;
 			cities.selectedIndex = 0;
@@ -1001,5 +999,5 @@
 		}
 	};
-	
+
 	Connector.newRequest('populateStates', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_states&country='+Element('cc_addr_countries').value, 'GET', handler);
 }
@@ -1029,5 +1027,5 @@
 			newState.disabled = false;
 			updateAddrNewStateOnMouseOut();
-			
+
 			cities.disabled = false;
 			clearSelectBox(cities, 3);
@@ -1040,11 +1038,11 @@
 		case '_NOSTATE_':
 			clearSelectBox(cities, 3);
-			
+
 			cities.disabled = false;
 			cities.selectedIndex = 0;
-			
+
 			requestStr = 'country='+Element('cc_addr_countries').value;
 			break;
-		
+
 		default:
 			requestStr = 'country='+Element('cc_addr_countries').value+'&state='+states.value;
@@ -1061,15 +1059,15 @@
 {
 	var cities = Element('cc_addr_cities');
-	
+
 	var handler = function (responseText)
 	{
 		var data = unserialize(responseText);
-		
+
 		clearSelectBox(cities, 1);
-		
+
 		if (typeof(data) != 'object')
 		{
 			showMessage(Element('cc_msg_err_contacting_server').value);
-			
+
 			return;
 		}
@@ -1116,5 +1114,5 @@
 		}
 	};
-	
+
 	Connector.newRequest('populateCities', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=get_cities&'+requestStr, 'GET', handler);
 }
@@ -1122,5 +1120,5 @@
 function updateAddrNewStateOnMouseOver ()
 {
-	if (Element('cc_addr_states_new').value == Element('cc_msg_type_state').value && Element('cc_addr_states').selectedIndex == 1) 
+	if (Element('cc_addr_states_new').value == Element('cc_msg_type_state').value && Element('cc_addr_states').selectedIndex == 1)
 	{
 		Element('cc_addr_states_new').value = '';
@@ -1130,5 +1128,5 @@
 function updateAddrNewStateOnMouseOut ()
 {
-	if (Element('cc_addr_states_new').value.length == 0 && Element('cc_addr_states').selectedIndex == 1) 
+	if (Element('cc_addr_states_new').value.length == 0 && Element('cc_addr_states').selectedIndex == 1)
 	{
 		Element('cc_addr_states_new').value = Element('cc_msg_type_state').value;
@@ -1150,5 +1148,5 @@
 		return;
 	}
-	
+
 	Element('cc_addr_1').readonly = false;
 	Element('cc_addr_1').disabled = false;
@@ -1180,5 +1178,5 @@
 
 			//resetAddrFillingFields();
-			
+
 			return;
 
@@ -1188,5 +1186,5 @@
 			newCity.disabled = false;
 			updateAddrNewCityOnMouseOut();
-			
+
 			break;
 
@@ -1202,5 +1200,5 @@
 function updateAddrNewCityOnMouseOver ()
 {
-	if (Element('cc_addr_cities_new').value == Element('cc_msg_type_city').value && Element('cc_addr_cities').selectedIndex == 1) 
+	if (Element('cc_addr_cities_new').value == Element('cc_msg_type_city').value && Element('cc_addr_cities').selectedIndex == 1)
 	{
 		Element('cc_addr_cities_new').value = '';
@@ -1210,5 +1208,5 @@
 function updateAddrNewCityOnMouseOut ()
 {
-	if (Element('cc_addr_cities_new').value.length == 0 && Element('cc_addr_cities').selectedIndex == 1) 
+	if (Element('cc_addr_cities_new').value.length == 0 && Element('cc_addr_cities').selectedIndex == 1)
 	{
 		Element('cc_addr_cities_new').value = Element('cc_msg_type_city').value;
@@ -1224,10 +1222,10 @@
 		return true;
 	}
-	
-	var addrFields = new Array('cc_addr_1', 
-	                           'cc_addr_2', 
-							   'cc_addr_complement', 
+
+	var addrFields = new Array('cc_addr_1',
+	                           'cc_addr_2',
+							   'cc_addr_complement',
 							   'cc_addr_other',
-							   'cc_addr_postal_code', 
+							   'cc_addr_postal_code',
 							   'cc_addr_po_box',
 							   'cc_addr_countries',
@@ -1236,5 +1234,5 @@
 
 	var empty = true;
-	
+
 	for (var i = 0; i < 8; i++)
 	{
@@ -1245,5 +1243,5 @@
 		}
 	}
-				
+
 	if (empty)
 	{
@@ -1274,5 +1272,5 @@
 		default:
 			addrInfo['id_country'] = Element('cc_addr_countries').value;
-		
+
 	}
 
@@ -1288,5 +1286,5 @@
 		default:
 			addrInfo['id_state'] = Element('cc_addr_states').value;
-		
+
 	}
 
@@ -1301,6 +1299,6 @@
 		default:
 			addrInfo['id_city'] = Element('cc_addr_cities').value;
-		
-	}	
+
+	}
 
 	addrInfo['id_typeof_address']  = Element('cc_addr_types').options[lastIndex].value;
@@ -1315,15 +1313,15 @@
 	CC_contact_full_info['addresses']['address'+Element('cc_addr_types').options[lastIndex].value] = addrInfo;
 
-	if (Element('cc_addr_cities').value == '_NEW_' && 
+	if (Element('cc_addr_cities').value == '_NEW_' &&
 	    Element('cc_msg_type_city').value !=  Element('cc_addr_cities_new').value &&
 		Element('cc_addr_cities_new').value != '')
 	{
 		var addrRootInfo = CC_contact_full_info['addresses']['new_cities'];
-		
+
 		if (!addrRootInfo)
 		{
 			addrRootInfo = new Array();
 		}
-		
+
 		var i = addrRootInfo.length;
 		addrRootInfo[addrInfo['id_typeof_address']] = new Array();
@@ -1334,15 +1332,15 @@
 	}
 
-	if (Element('cc_addr_states').value == '_NEW_' && 
-	    Element('cc_msg_type_state').value !=  Element('cc_addr_states_new').value && 
+	if (Element('cc_addr_states').value == '_NEW_' &&
+	    Element('cc_msg_type_state').value !=  Element('cc_addr_states_new').value &&
 		Element('cc_addr_states_new').value != '')
 	{
 		var addrRootInfo = CC_contact_full_info['addresses']['new_states'];
-		
+
 		if (!addrRootInfo)
 		{
 			addrRootInfo = new Array();
 		}
-		
+
 		var i = addrRootInfo.length;
 		addrRootInfo[addrInfo['id_typeof_address']] = new Array();
@@ -1374,16 +1372,27 @@
 	for(idx_conn; idx_conn < cc_conn_default.options.length; idx_conn++)
 		if(cc_conn_default.options[idx_conn].value == _label)
-			break;	
-	
+			break;
+
 	if(idx_conn == cc_conn_default.options.length)
 		cc_conn_default.options[idx_conn] = new Option (_label,_label, false,false);
-			
+
 	if (!document.all)
 	{
-		return '<td style="position: absolute; left: 0; top: 0; z-index: -1; visibility: hidden"><input id="cc_conn_id_' + CC_conn_count + '" type="hidden" value="_NEW_"><input id="cc_conn_is_default_' + CC_conn_count + '" type="hidden" value="false"></td>'+
-		//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
-		'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+'</span></td>' +
-		'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" style="width: 150px;" type="text">&nbsp;' +
-		'<img align="top" alt="X" src="templates/default/images/x.png" style="width:18px; height:18px" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
+		if (Element("cc_conn_type_1").checked)
+		{
+			return '<td style="position: absolute; left: 0; top: 0; z-index: -1; visibility: hidden"><input id="cc_conn_id_' + CC_conn_count + '" type="hidden" value="_NEW_"><input id="cc_conn_is_default_' + CC_conn_count + '" type="hidden" value="false"></td>'+
+			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
+			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+'</span></td>' +
+			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" style="width: 150px;" maxlength="100" type="text">&nbsp;' +
+			'<img align="top" alt="X" src="templates/default/images/x.png" style="width:18px; height:18px" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
+		}
+		else if (Element("cc_conn_type_2").checked)
+		{
+			return '<td style="position: absolute; left: 0; top: 0; z-index: -1; visibility: hidden"><input id="cc_conn_id_' + CC_conn_count + '" type="hidden" value="_NEW_"><input id="cc_conn_is_default_' + CC_conn_count + '" type="hidden" value="false"></td>'+
+			//'<td style="width: 30px;" align="right"><input name="cc_conn_is_default" id="cc_conn_is_default_'+ CC_conn_count +'" type="radio"></td>'+
+			'<td style="width: 10px;" align="right"><input id="cc_conn_name_'+CC_conn_count+'" type="hidden"><td style="width: 100px;" align="right"><span style="width: 150px;" id="cc_conn_label_'+CC_conn_count+'">'+_label+'</span></td>' +
+			'<td align="left"><input id="cc_conn_value_'+ CC_conn_count +'" style="width: 150px;" maxlength="50" type="text">&nbsp;' +
+			'<img align="top" alt="X" src="templates/default/images/x.png" style="width:18px; height:18px" onclick="javascript:removeConnField(\'cc_conn_tr_' + CC_conn_count + '\')"></td>';
+		}
 	}
 	else
@@ -1409,5 +1418,5 @@
 		img.align = 'top';
 		img.onclick = function(e){ removeConnField(remove_id);};
-		
+
 		for (var i = 0; i < 3; i++)
 		{
@@ -1420,5 +1429,5 @@
 
 		inputs[1].id = 'cc_conn_name_'+CC_conn_count;
-		inputs[1].type = 'hidden';		
+		inputs[1].type = 'hidden';
 
 		inputs[2].id = 'cc_conn_value_'+CC_conn_count;
@@ -1449,19 +1458,19 @@
 		|| typeof(CC_contact_full_info['connections'][CC_conn_last_selected]) == 'undefined'
 		|| typeof(CC_contact_full_info['connections'][CC_conn_last_selected][CC_conn_count]) == 'undefined');
-	
-	if(_emptyLine) {	
-		
+
+	if(_emptyLine) {
+
 		if(Element("cc_conn_type_sel").value == '-1'){
-				return false;	
-		}
-		
+				return false;
+		}
+
 		for(k = 0; k < CC_conn_count; k++) {
 			if(Element("cc_conn_name_"+k) && Element("cc_conn_name_"+k).value != "" && Element("cc_conn_name_"+k).value == Element("cc_conn_type_sel").value) {
 				alert('Você já possui uma entrada para o tipo "'+Element("cc_conn_type_sel").value+'"!');
-				Element("cc_conn_type_sel").options.selectedIndex = 0;				
+				Element("cc_conn_type_sel").options.selectedIndex = 0;
 				return false;
 			}
 		}
-	}	
+	}
 	if (!document.all)
 	{
@@ -1490,5 +1499,5 @@
 
 function connRemoveLine(id)
-{	
+{
 	var p = Element(id).parentNode;
 	var cc_conn_default = Element("cc_phone_default").style.display == '' ? Element("cc_phone_default") : Element("cc_email_default");
@@ -1529,5 +1538,5 @@
 		}
 	}
-	
+
 	CC_conn_count = 0;
 }
@@ -1551,5 +1560,5 @@
 function updateConnFields()
 {
-	
+
 	var connID;
 	var i;
@@ -1560,18 +1569,18 @@
 	var cc_conn_is_default = '';
 	var selected_index = '';
-	
+
 	cc_conn_type_sel.disabled = false;
 	div_cc_conn_is_default.style.display = "";
-	
+
 	for(var i = 0;i < cc_conn_type_sel.options.length; i++)
-		cc_conn_type_sel.options[i--] = null;	
-		
+		cc_conn_type_sel.options[i--] = null;
+
 	if(Element('cc_conn_type_1').checked) {
 	    var lang_new_email = Element('cc_msg_new_email').value;
 	    var lang_main = Element('cc_msg_main').value;
-	    var lang_alternative = Element('cc_msg_alternative').value;	
-	    cc_conn_type_sel[0] = new Option(lang_new_email,'-1');	
+	    var lang_alternative = Element('cc_msg_alternative').value;
+	    cc_conn_type_sel[0] = new Option(lang_new_email,'-1');
 	    cc_conn_type_sel[1] = new Option(lang_main,lang_main);
-	    cc_conn_type_sel[2] = new Option(lang_alternative,lang_alternative);	
+	    cc_conn_type_sel[2] = new Option(lang_alternative,lang_alternative);
 		connID = 1;
 		selected_index = cc_email_default.options.selectedIndex;
@@ -1581,7 +1590,7 @@
 
 		var lang_select_email = Element('cc_msg_select_email').value;
-		cc_email_default.options[0] = new Option(lang_select_email,'-1');		
+		cc_email_default.options[0] = new Option(lang_select_email,'-1');
 		cc_phone_default.style.display = 'none';
-		cc_email_default.style.display = '';			
+		cc_email_default.style.display = '';
 		cc_conn_is_default = cc_email_default;
 	}
@@ -1596,8 +1605,8 @@
 		var lang_corporative_fax = Element('cc_msg_corporative_fax').value;
 		var lang_corporative_pager = Element('cc_msg_corporative_pager').value;
-		
-	    cc_conn_type_sel[0] = new Option(lang_new_telephone,'-1');	
+
+	    cc_conn_type_sel[0] = new Option(lang_new_telephone,'-1');
 	    cc_conn_type_sel[1] = new Option(lang_home,lang_home);
-	    cc_conn_type_sel[2] = new Option(lang_cellphone,lang_cellphone);	
+	    cc_conn_type_sel[2] = new Option(lang_cellphone,lang_cellphone);
 	    cc_conn_type_sel[3] = new Option(lang_work,lang_work);
 	    cc_conn_type_sel[4] = new Option(lang_fax,lang_fax);
@@ -1608,5 +1617,5 @@
 			cc_conn_type_sel[8] = new Option(lang_corporative_pager, lang_corporative_pager);
 		}
-		
+
 		connID = 2;
 		selected_index = cc_phone_default.options.selectedIndex;
@@ -1615,5 +1624,5 @@
 		}
 
-		var lang_choose_phone = Element('cc_msg_choose_phone').value;		
+		var lang_choose_phone = Element('cc_msg_choose_phone').value;
 		cc_phone_default.options[0] = new Option(lang_choose_phone,'-1');
 		cc_email_default.style.display = 'none';
@@ -1621,5 +1630,5 @@
 		cc_conn_is_default = cc_phone_default;
 	}
-			
+
 	Element("cc_conn_type_sel").options.selectedIndex = 0;
 	/* First save the data */
@@ -1627,12 +1636,12 @@
 
 	CC_conn_last_selected = connID;
-	
+
 	clearConn();
-	
+
 	if (connID == '_NONE_')
 	{	cc_conn_is_default.disabled = true;
 		return;
 	}
-	
+
 	/* If no data already available, return */
 	if (!CC_contact_full_info['connections'])
@@ -1658,5 +1667,5 @@
 			}
 		}
-	}	
+	}
 	if(cc_conn_is_default.options.length > selected_index)
 		cc_conn_is_default.options.selectedIndex = (selected_index == "-1" ? 0 : selected_index);
@@ -1679,5 +1688,5 @@
 			CC_contact_full_info['connections'][CC_conn_last_selected] = new Array();
 		}
-		else 
+		else
 		{
 			delete CC_contact_full_info['connections'][CC_conn_last_selected];
@@ -1691,8 +1700,8 @@
 				var subNodes = nodes[i].childNodes;
 				var found = false;
-				
+
 				for (var j = 0; j < subNodes.length; j++)
 				{
-					if (subNodes[j].childNodes.length > 0 && 
+					if (subNodes[j].childNodes.length > 0 &&
 					    subNodes[j].childNodes[0].id)
 					{
@@ -1702,5 +1711,5 @@
 							CC_contact_full_info['connections'][CC_conn_last_selected][k] = new Array();
 						}
-						
+
 					    if (subNodes[j].childNodes[0].id.indexOf('cc_conn_name') != -1)
 						{
@@ -1722,5 +1731,5 @@
 							else
 							{
-								CC_contact_full_info['connections'][CC_conn_last_selected][k]['value'] = ''; 
+								CC_contact_full_info['connections'][CC_conn_last_selected][k]['value'] = '';
 							}
 						}
@@ -1733,5 +1742,5 @@
 					}
 				}
-				
+
 				if (found)
 				{
@@ -1750,5 +1759,5 @@
 			delete CC_contact_full_info['connections'][CC_conn_last_selected];
 		}
-		
+
 	}
 
@@ -1776,5 +1785,5 @@
 	var number = randomString().toLowerCase();
 	var result = '';
-	
+
 	if(!is_ie)
 		result = prompt("Essa operação removerá TODOS os seus \ncontatos pessoais,  e  NÃO  PODERÁ  ser \ndesfeita. Digite o código abaixo:\n\tCódigo de confirmação: "+number);
@@ -1787,5 +1796,5 @@
 		else
 			alert('Código Incorreto');
-	}	
+	}
 }
 
@@ -1808,5 +1817,5 @@
 			return;
 		}
-		
+
 		if (data['status'] != 'ok')
 		{
@@ -1814,10 +1823,10 @@
 			return;
 		}
-		
+
 		setTimeout('updateCards()',80);;
 	};
-		
+
 	typeArg = (type == 'groups' ? 'group' : 'entry');
-		
+
 	Connector.newRequest('removeEntry', '../index.php?menuaction=contactcenter.ui_data.data_manager&method=remove_'+typeArg+'&remove=' + id, 'GET', handler);
 }
@@ -1842,5 +1851,5 @@
 	var w_height = 0;
 	var w_extra = 200;
-	
+
 	if (document.body.clientHeight)
 	{
@@ -1881,4 +1890,5 @@
 	}
 }
+
 function getActualPage ()
 {
@@ -1945,10 +1955,10 @@
 				final_page = 1;
 			}
-			
+
 			html_pages += '<a href="javascript:setPages('+npages+', '+ actual_page +', '+ final_page +')">...</a> ';
 
 			page = showing_page ? showing_page : actual_page;
 		}
-		
+
 		for (; page <= npages; page++)
 		{
@@ -2010,5 +2020,5 @@
 		Element('cc_panel_arrow_last').style.cursor = 'hand';
 	}
-	
+
 	Element('cc_panel_pages').innerHTML = html_pages;
 }
@@ -2022,13 +2032,13 @@
 			for (j = 0; j < 3; j++)
 				document.getElementById("cc_card:"+j+":"+i).innerHTML = '';
-		return false;
-	}
-	
-	if(type == 'groups' || type == 'shared_groups')
+			return false;
+	}
+
+	if(type == 'groups' || type =='shared_groups')
 		return populateGroupsInCards(data,type);
-	
+
 	var pos = 0;
 	var ncards = data[3].length;
-	
+
 	if (typeof(data[3]) == 'object' && ncards > 0)
 	{
@@ -2038,5 +2048,5 @@
 			{
 				id = 'cc_card:'+j+':'+i;
-			
+
 				for (var k = 0; k < data[2].length; k++)
 				{
@@ -2056,13 +2066,13 @@
 								break;
 						}
-						
+
 					}
-					
-					
+
+
 					/*if(data[2][k] ==  'cc_mail' && data[3][pos][k] == 'none' && !(ccTree.catalog_perms & 2) ) {
 						Element(id).style.display = 'none';
 						continue;
 					}*/
-				
+
 					if(data[3][pos][k] != 'none')
 					{
@@ -2079,10 +2089,9 @@
 									Element(id+':'+data[2][k]).innerHTML = data[3][pos][k];
 								}
-								if(data[3][pos][9]){
-									Element(id+':'+data[2][k]).innerHTML += "<br><span style='margin-left:30px'><font size='-2' color='#808080'><i>"+data[3][pos][9]+"</i></font></span>";	}
+								if(data[3][pos][12])
+									Element(id+':'+data[2][k]).innerHTML += "<br><span style='margin-left:30px'><font size='-2' color='#808080'><i>"+data[3][pos][12]+"</i></font></span>";	
 								break;
-							
+
 							case 'cc_mail':
-								
 								if (data[3][pos][k].length > (CC_visual == 'table'  ? 50 : 20))
 								{
@@ -2092,8 +2101,8 @@
 								else
 								{
-									Element(id+':'+data[2][k]).innerHTML = data[5] + data[3][pos][k] + '\')">'+ data[3][pos][k]+'</span>';									
+									Element(id+':'+data[2][k]).innerHTML = data[5] + data[3][pos][k] + '\')">'+ data[3][pos][k]+'</span>';
 								}
 								break;
-							
+
 							case 'cc_phone':
 								if (data[3][pos][k].length > 20)
@@ -2131,9 +2140,51 @@
 							case 'cc_forwarding_address':
 								var account_type = data[3][pos][k];
-															
+
 								if( !account_type)
 									break;
-																																																					
+
 								Element(id+':cc_icon_group').innerHTML =  '<span title="'+Element('cc_participants').value+'"  onmouseout="window.status=\'\';" onclick="ccListParticipants.showList(\''+ Element(id+':cc_id').value + '\',null,null,null,\''+account_type+'\');return true;" style="cursor: pointer; cursor: hand; z-index: 1"><img src="templates/default/images/people-mini.png" align="center">&nbsp;&nbsp;</span>';
+								break;
+
+							//Para tratar tamanho do campo "celular" do empregado
+							case 'cc_mobile':
+								if (data[3][pos][k].length > 20)
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 20);
+									Element(id+':'+data[2][k]).title = data[3][pos][k];
+								}
+								else
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 20);
+								}
+								Element(id+':cc_mobile').innerHTML = data[3][pos][k];
+								break;
+
+							//Para tratar tamanho do campo "matricula" do empregado
+							case 'cc_empNumber':
+								if (data[3][pos][k].length > 20)
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 20);
+									Element(id+':'+data[2][k]).title = data[3][pos][k];
+								}
+								else
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 20);
+								}
+								Element(id+':cc_empNumber').innerHTML = data[3][pos][k];
+								break;
+
+							//Para tratar tamanho do campo "departamento" do empregado
+							case 'cc_department':
+								if (data[3][pos][k].length > 15)
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 15);
+									Element(id+':'+data[2][k]).title = data[3][pos][k];
+								}
+								else
+								{
+									Element(id+':'+data[2][k]).innerHTML = adjustString(data[3][pos][k], 15);
+								}
+								Element(id+':cc_department').innerHTML = data[3][pos][k];
 								break;
 
@@ -2146,11 +2197,13 @@
 								else
 								{
+									if (Element(id+':'+data[2][k]) == null) alert('É nulo');
 									Element(id+':'+data[2][k]).innerHTML = data[3][pos][k];
 								}
 						}
 					}
-				}				
+				}
+				
 				if (type == "shared_contacts") {
-					if (data[3][pos][8] & 4) 
+					if (data[3][pos][11] & 4) 
 						eval("document.getElementById(id + ':cc_card_edit').onclick = function(){editSharedContact(Element('"+id+"' + ':cc_id').value);};");
 					else 
@@ -2158,5 +2211,5 @@
 							alert(Element('cc_msg_not_allowed').value);
 						};
-					if (data[3][pos][8] & 8) 
+					if (data[3][pos][11] & 8) 
 						eval("document.getElementById(id + ':cc_card_remove').onclick = function(){removeEntry(Element('" + id + "' + ':cc_id').value);};");
 					else 
@@ -2165,7 +2218,5 @@
 						};
 				}
-				
-				
-				
+
 				if (--ncards == 0)
 				{
@@ -2173,5 +2224,5 @@
 					i = CC_max_cards[1];
 				}
-	
+
 				pos++;
 			}
@@ -2181,9 +2232,9 @@
 
 function populateGroupsInCards(data,type)
-{	
+{
 	var pos = 0;
-	var contacts = data[5];		
+	var contacts = data[5];
 	var ncards = data[3].length;
-	
+
 	if (typeof(data[3]) == 'object' && ncards > 0)
 	{
@@ -2193,13 +2244,13 @@
 			{
 				id = 'cc_card:'+j+':'+i;
-			
+
 				for (var k = 0; k < data[2].length; k++)
 				{
-				
+
 					if(data[3][pos][k] != 'none')
-					{	
-											
+					{
+
 						switch (data[2][k])
-						{							
+						{
 							case 'cc_title':
 								if (data[3][pos][k].length > 50)
